<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс StylishButton</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Сигналы</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classStylishButton-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс StylishButton</div>  </div>
</div><!--header-->
<div class="contents">

<p>Пользовательская кнопка  
 <a href="classStylishButton.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:StylishButton:</div>
<div class="dyncontent">
<div class="center"><img src="classStylishButton__inherit__graph.png" border="0" usemap="#StylishButton_inherit__map" alt="Inheritance graph"/></div>
<map name="StylishButton_inherit__map" id="StylishButton_inherit__map">
<area shape="rect" title="Пользовательская кнопка" alt="" coords="5,80,115,107"/>
<area shape="rect" title=" " alt="" coords="17,5,103,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса StylishButton:</div>
<div class="dyncontent">
<div class="center"><img src="classStylishButton__coll__graph.png" border="0" usemap="#StylishButton_coll__map" alt="Collaboration graph"/></div>
<map name="StylishButton_coll__map" id="StylishButton_coll__map">
<area shape="rect" title="Пользовательская кнопка" alt="" coords="5,80,115,107"/>
<area shape="rect" title=" " alt="" coords="17,5,103,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:abd3910649276424296501ef277836458"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#abd3910649276424296501ef277836458">mouseAreaClicked</a> ()</td></tr>
<tr class="memdesc:abd3910649276424296501ef277836458"><td class="mdescLeft">&#160;</td><td class="mdescRight">Сигнал о нажатии кнопки  <a href="classStylishButton.html#abd3910649276424296501ef277836458">Подробнее...</a><br /></td></tr>
<tr class="separator:abd3910649276424296501ef277836458"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a22efcd1052cd8c3ab5b7d8b8586a79e0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#a22efcd1052cd8c3ab5b7d8b8586a79e0">button_name</a></td></tr>
<tr class="memdesc:a22efcd1052cd8c3ab5b7d8b8586a79e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текст кнопки  <a href="classStylishButton.html#a22efcd1052cd8c3ab5b7d8b8586a79e0">Подробнее...</a><br /></td></tr>
<tr class="separator:a22efcd1052cd8c3ab5b7d8b8586a79e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7b8cc5ab7763dabc0b2cf8a40f72b9a"><td class="memItemLeft" align="right" valign="top">Gradient&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#ad7b8cc5ab7763dabc0b2cf8a40f72b9a">background_gradient</a></td></tr>
<tr class="memdesc:ad7b8cc5ab7763dabc0b2cf8a40f72b9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Градиент кнопки  <a href="classStylishButton.html#ad7b8cc5ab7763dabc0b2cf8a40f72b9a">Подробнее...</a><br /></td></tr>
<tr class="separator:ad7b8cc5ab7763dabc0b2cf8a40f72b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ea36551012c1e4550770068b0d640f"><td class="memItemLeft" align="right" valign="top">Gradient&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#a61ea36551012c1e4550770068b0d640f">entered_gradient</a></td></tr>
<tr class="memdesc:a61ea36551012c1e4550770068b0d640f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Градиент кнопки при нажатии  <a href="classStylishButton.html#a61ea36551012c1e4550770068b0d640f">Подробнее...</a><br /></td></tr>
<tr class="separator:a61ea36551012c1e4550770068b0d640f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b72c18c4187cc504fac0c8e74cb690a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#a8b72c18c4187cc504fac0c8e74cb690a">border_color</a></td></tr>
<tr class="memdesc:a8b72c18c4187cc504fac0c8e74cb690a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Цвет границ кнопки  <a href="classStylishButton.html#a8b72c18c4187cc504fac0c8e74cb690a">Подробнее...</a><br /></td></tr>
<tr class="separator:a8b72c18c4187cc504fac0c8e74cb690a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf03fe8f7570819640e7c80d75fc488b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#abf03fe8f7570819640e7c80d75fc488b">text_color</a></td></tr>
<tr class="memdesc:abf03fe8f7570819640e7c80d75fc488b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Цвет текста  <a href="classStylishButton.html#abf03fe8f7570819640e7c80d75fc488b">Подробнее...</a><br /></td></tr>
<tr class="separator:abf03fe8f7570819640e7c80d75fc488b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12a19946a7a5966c40ffa467188a0f67"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#a12a19946a7a5966c40ffa467188a0f67">font_size</a></td></tr>
<tr class="memdesc:a12a19946a7a5966c40ffa467188a0f67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Шрифт  <a href="classStylishButton.html#a12a19946a7a5966c40ffa467188a0f67">Подробнее...</a><br /></td></tr>
<tr class="separator:a12a19946a7a5966c40ffa467188a0f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c2b472722397912c52dbe07f36a428"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classStylishButton.html#a89c2b472722397912c52dbe07f36a428">image_src</a></td></tr>
<tr class="memdesc:a89c2b472722397912c52dbe07f36a428"><td class="mdescLeft">&#160;</td><td class="mdescRight">Путь до изображения  <a href="classStylishButton.html#a89c2b472722397912c52dbe07f36a428">Подробнее...</a><br /></td></tr>
<tr class="separator:a89c2b472722397912c52dbe07f36a428"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Пользовательская кнопка </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00011">11</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="abd3910649276424296501ef277836458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd3910649276424296501ef277836458">&#9670;&nbsp;</a></span>mouseAreaClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StylishButton::mouseAreaClicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Сигнал о нажатии кнопки </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="ad7b8cc5ab7763dabc0b2cf8a40f72b9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7b8cc5ab7763dabc0b2cf8a40f72b9a">&#9670;&nbsp;</a></span>background_gradient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient StylishButton::background_gradient</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Градиент кнопки </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00016">16</a></p>

</div>
</div>
<a id="a8b72c18c4187cc504fac0c8e74cb690a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b72c18c4187cc504fac0c8e74cb690a">&#9670;&nbsp;</a></span>border_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string StylishButton::border_color</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Цвет границ кнопки </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00020">20</a></p>

</div>
</div>
<a id="a22efcd1052cd8c3ab5b7d8b8586a79e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22efcd1052cd8c3ab5b7d8b8586a79e0">&#9670;&nbsp;</a></span>button_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string StylishButton::button_name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Текст кнопки </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00014">14</a></p>

</div>
</div>
<a id="a61ea36551012c1e4550770068b0d640f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ea36551012c1e4550770068b0d640f">&#9670;&nbsp;</a></span>entered_gradient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient StylishButton::entered_gradient</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Градиент кнопки при нажатии </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00018">18</a></p>

</div>
</div>
<a id="a12a19946a7a5966c40ffa467188a0f67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12a19946a7a5966c40ffa467188a0f67">&#9670;&nbsp;</a></span>font_size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var StylishButton::font_size</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Шрифт </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00025">25</a></p>

</div>
</div>
<a id="a89c2b472722397912c52dbe07f36a428"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89c2b472722397912c52dbe07f36a428">&#9670;&nbsp;</a></span>image_src</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string StylishButton::image_src</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Путь до изображения </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00027">27</a></p>

</div>
</div>
<a id="abf03fe8f7570819640e7c80d75fc488b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf03fe8f7570819640e7c80d75fc488b">&#9670;&nbsp;</a></span>text_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string StylishButton::text_color</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Цвет текста </p>

<p class="definition">См. определение в файле <a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a> строка <a class="el" href="StylishButton_8qml_source.html#l00023">23</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="StylishButton_8qml_source.html">StylishButton.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
